From: "Wolfram Schlich" <wschlich@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/teamviewer/
Date: Wed, 2 Nov 2016 17:33:07 +0000 (UTC) [thread overview]
Message-ID: <1478107975.ac1dbe19a142cc4f1240e7760618a1981b32458b.wschlich@gentoo> (raw)
commit: ac1dbe19a142cc4f1240e7760618a1981b32458b
Author: Wolfram Schlich <wschlich <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 2 17:31:50 2016 +0000
Commit: Wolfram Schlich <wschlich <AT> gentoo <DOT> org>
CommitDate: Wed Nov 2 17:32:55 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac1dbe19
net-misc/teamviewer: major version bump (v12 is officially still beta though)
Package-Manager: portage-2.3.0
net-misc/teamviewer/Manifest | 1 +
net-misc/teamviewer/teamviewer-12.0.69753.ebuild | 132 +++++++++++++++++++++++
2 files changed, 133 insertions(+)
diff --git a/net-misc/teamviewer/Manifest b/net-misc/teamviewer/Manifest
index a5865f8..ca19165 100644
--- a/net-misc/teamviewer/Manifest
+++ b/net-misc/teamviewer/Manifest
@@ -2,3 +2,4 @@ DIST teamviewer-9.0.32150.deb 22898922 SHA256 66d9a69f7e1523a2e1b41ff2e55adac01b
DIST teamviewer_10.0.41499_i386.deb 41166700 SHA256 0694c756b8cb5f2b09c8d6db960ced3e899d4ce43060e77ef4f1c36254dc31c4 SHA512 afdfafb89398b29206414537c69a798574807c0f350d7ec819579167e0ffbb33c2c3754fdc17a79576b3ff7bcb729c78bda47a5387c1dc178cf85107dae71d9f WHIRLPOOL a0d1595f4133e6e875e49ed6db6777e732c79f7a283d1bcddfd489557eb3bebbbc9c41362cf3576e97513ce8345665645fa5e54ada12275e29bd8d3349752713
DIST teamviewer_11.0.57095_i386.deb 53774306 SHA256 a3e763912892019143517f8c40404aa23465b4d78fb382336d165d3b96f1b83d SHA512 d218cc5a7ea516b7df326d60726405fa1db5c313a74b14594ea8309bd5f06cc611d2391a750405ae8a39b419747bc6974d6b5f4ca54015fce869566d937cecdd WHIRLPOOL 175259ecce24b576c7cac9d55d5ce8aeede00edfcc92953fd0ff75642aab1d4769cadbb7683ab4f3346afeb591caf679fbaab6cc8c629f7867438e483d40d89f
DIST teamviewer_11.0.67687_i386.deb 47341822 SHA256 b74542910ac574803905658787174b6a60055c6473d3c4e398da36d0dedaf416 SHA512 3fbb0a2fc1bccd41ba9798305fada7e8266e1c9ed8509492ccb75e6f85995538ddc05ad72648e9f6c31cd5f17ad34f1ed3a300eeb38a4a703d3414c113d3e5a9 WHIRLPOOL 2a6b1c04f67933a43ac2493a12c21b8a9eae95150b10d9e713e01efed98c397f44fdd77012407da2dffb8bf0b804374a60cce9d2646ff3c117041d13366be628
+DIST teamviewer_12.0.69753_i386.deb 46499056 SHA256 6110e5ba521f7ffb429d7d0bf5f03dad7a18994dc6b62a6901353f1da7dbc744 SHA512 b6cc5e55780fc45713387a6b4b68937660a0833f51bbd7c76941d6fa0a3c3156f58b00477bc3d4d5bb3e7559447a4165ee823098a33c24ce42cd8fe40d219364 WHIRLPOOL 117928d325b6bcc97c3119a0b5cecd1b276de70d2bf51f973f426a7d30c47b612c1cd68e78f19e12730a630f506bce53de44960887e6293941893c85b03685da
diff --git a/net-misc/teamviewer/teamviewer-12.0.69753.ebuild b/net-misc/teamviewer/teamviewer-12.0.69753.ebuild
new file mode 100644
index 00000000..6a093d8
--- /dev/null
+++ b/net-misc/teamviewer/teamviewer-12.0.69753.ebuild
@@ -0,0 +1,132 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils gnome2-utils systemd unpacker
+
+# Major version
+MV=${PV/\.*}
+MY_PN=${PN}${MV}
+DESCRIPTION="All-In-One Solution for Remote Access and Support over the Internet"
+HOMEPAGE="https://www.teamviewer.com"
+SRC_URI="https://download.teamviewer.com/download/version_${MV}x/${PN}_${PV}_i386.deb"
+
+IUSE="+system-wine"
+
+LICENSE="TeamViewer LGPL-2.1" #LGPL for bundled wine
+SLOT=${MV}
+KEYWORDS="-* ~amd64 ~x86"
+
+RESTRICT="bindist mirror"
+
+RDEPEND="
+ system-wine? ( app-emulation/wine[abi_x86_32(-),png] )
+ !system-wine? ( media-libs/libpng:1.2[abi_x86_32(-)] )
+ sys-apps/dbus[abi_x86_32(-)]
+ dev-qt/qtcore:4[abi_x86_32(-)]
+ dev-qt/qtgui:4[abi_x86_32(-)]
+ dev-qt/qtwebkit:4[abi_x86_32(-)]
+ media-libs/alsa-lib[abi_x86_32(-)]
+ x11-libs/libICE[abi_x86_32(-)]
+ x11-libs/libSM[abi_x86_32(-)]
+ x11-libs/libX11[abi_x86_32(-)]
+ x11-libs/libXau[abi_x86_32(-)]
+ x11-libs/libXdamage[abi_x86_32(-)]
+ x11-libs/libXdmcp[abi_x86_32(-)]
+ x11-libs/libXext[abi_x86_32(-)]
+ x11-libs/libXfixes[abi_x86_32(-)]
+ x11-libs/libXrandr[abi_x86_32(-)]
+ x11-libs/libXtst[abi_x86_32(-)]"
+
+QA_PREBUILT="opt/teamviewer${MV}/*"
+
+S=${WORKDIR}/opt/teamviewer/tv_bin
+
+src_prepare() {
+ #epatch "${FILESDIR}/${P}-gentoo.patch"
+ sed \
+ -e "s/@TVV@/${MV}/g" \
+ "${FILESDIR}"/${PN}d.init > "${T}"/init || die
+ sed \
+ -e "s:/opt/teamviewer:/opt/teamviewer${MV}:g" \
+ "script//${PN}d.service" > "${T}/${PN}d.service" || die
+ sed \
+ -e "s/@TVV@/${PV}/g" \
+ -e "s/@TVMV@/${MV}/g" \
+ "${FILESDIR}"/${PN}.sh > "${T}"/sh || die
+ if ! use system-wine; then
+ sed -i "s/native=true/native=false/g" "${T}/sh" || die
+ fi
+}
+
+src_install () {
+ local destdir="/opt/${MY_PN}"
+
+ # install wine prefix skeleton and reg keys
+ insinto "${destdir}/wine/drive_c/"
+ doins -r wine/drive_c/TeamViewer/
+ # install bundled wine if necessary
+ if ! use system-wine; then
+ insinto "${destdir}/tv_bin/wine"
+ doins -r wine/{lib,share}
+ exeinto "${destdir}/tv_bin/wine/bin"
+ doexe wine/bin/{wine,wine-preloader,wineserver}
+ fi
+ # fix permissions
+ fperms 755 ${destdir}/wine/drive_c/TeamViewer/TeamViewer.exe
+
+ # install wine wrapper
+ exeinto "/opt/bin"
+ newexe "${T}/sh" "${MY_PN}"
+
+ # install teamviewer linux binaries
+ exeinto "${destdir}/tv_bin"
+ doexe TeamViewer_Desktop TVGuiDelegate TVGuiSlave.32
+ use amd64 && doexe TVGuiSlave.64
+
+ # install daemon binary and scripts
+ exeinto "${destdir}/tv_bin"
+ doexe ${PN}d
+ newinitd "${T}/init" ${PN}d${MV}
+ newconfd "${FILESDIR}/${PN}d.conf" ${PN}d${MV}
+ systemd_newunit "${T}/${PN}d.service" ${PN}d${MV}.service
+
+ # set up logdir
+ keepdir /var/log/${MY_PN}
+ dosym /var/log/${MY_PN} /opt/${MY_PN}/logfiles
+
+ # set up config dir
+ keepdir /etc/${MY_PN}
+ dosym /etc/${MY_PN} /opt/${MY_PN}/config
+
+ newicon -s 48 desktop/${PN}.png ${MY_PN}.png
+ #dodoc ../doc/linux_FAQ_{EN,DE}.txt
+ make_desktop_entry ${MY_PN} "TeamViewer ${MV}" ${MY_PN}
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+
+ elog "TeamViewer from upstream uses an overly-complicated set of bash"
+ elog "scripts to start the program. This has been simplified for Gentoo"
+ elog "use. Any issues should be reported via bugzilla."
+ if use system-wine; then
+ elog
+ elog "Due to bug #552016, when using system wine, one is not able to"
+ elog "share one's own screen. At this time, this may be remedied by"
+ elog "toggling the system-wine USE flag."
+ fi
+ elog
+ elog "The end-user client requires running the accompanying daemon,"
+ elog "available via init-scripts."
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
next reply other threads:[~2016-11-02 17:33 UTC|newest]
Thread overview: 87+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-11-02 17:33 Wolfram Schlich [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-17 21:50 [gentoo-commits] repo/gentoo:master commit in: net-misc/teamviewer/ Mike Gilbert
2024-07-01 7:43 Matt Jolly
2024-07-01 7:43 Matt Jolly
2024-06-01 21:37 Florian Schmaus
2023-12-18 14:41 Joonas Niilola
2023-12-18 14:41 Joonas Niilola
2023-07-11 5:24 Joonas Niilola
2023-07-11 5:24 Joonas Niilola
2022-12-12 21:44 Sam James
2022-12-12 21:38 Sam James
2022-12-12 20:00 Mike Gilbert
2022-11-10 16:15 Joonas Niilola
2022-11-10 16:15 Joonas Niilola
2022-07-15 8:38 Joonas Niilola
2022-06-12 7:33 Joonas Niilola
2022-06-12 7:33 Joonas Niilola
2022-03-26 13:54 Joonas Niilola
2022-03-26 13:54 Joonas Niilola
2021-11-29 7:33 Joonas Niilola
2021-11-29 7:33 Joonas Niilola
2021-09-10 7:22 Joonas Niilola
2021-08-13 8:47 Ionen Wolkens
2021-08-13 8:47 Ionen Wolkens
2021-08-01 2:21 Ionen Wolkens
2021-06-24 15:06 Thomas Deutschmann
2021-06-23 18:12 Thomas Deutschmann
2021-06-23 18:04 Thomas Deutschmann
2021-06-23 1:19 Thomas Deutschmann
2021-06-01 8:52 Thomas Deutschmann
2021-04-27 19:16 Thomas Deutschmann
2021-04-27 12:21 Thomas Deutschmann
2021-03-21 8:24 Joonas Niilola
2021-02-24 14:52 Thomas Deutschmann
2021-02-01 15:04 Thomas Deutschmann
2021-02-01 0:23 Thomas Deutschmann
2020-11-28 15:19 Andreas Sturmlechner
2020-11-25 14:13 Andreas Sturmlechner
2020-06-26 10:29 Mikle Kolyada
2020-05-07 16:48 Joonas Niilola
2020-04-29 9:21 Mikle Kolyada
2020-03-27 10:07 Mikle Kolyada
2020-03-16 10:02 Mikle Kolyada
2020-02-06 12:01 Mikle Kolyada
2019-12-20 14:32 Mikle Kolyada
2019-12-20 14:25 Mikle Kolyada
2019-12-19 15:27 Mikle Kolyada
2019-10-26 20:38 Mikle Kolyada
2019-10-26 20:38 Mikle Kolyada
2019-10-05 19:08 Mikle Kolyada
2019-09-15 20:39 Mikle Kolyada
2019-08-04 19:16 Maxim Koltsov
2019-08-04 19:16 Maxim Koltsov
2019-05-12 11:06 Mikle Kolyada
2019-05-11 13:16 Mikle Kolyada
2019-04-07 20:39 Mikle Kolyada
2019-03-09 10:02 Mikle Kolyada
2019-02-12 11:17 Mikle Kolyada
2019-02-07 16:31 Mikle Kolyada
2018-12-16 12:26 Mikle Kolyada
2018-12-15 15:03 Mikle Kolyada
2018-09-16 10:35 Mikle Kolyada
2018-06-25 16:39 Maxim Koltsov
2018-06-25 16:39 Maxim Koltsov
2018-03-26 20:08 Maxim Koltsov
2018-03-26 20:08 Maxim Koltsov
2018-03-07 13:25 Maxim Koltsov
2018-03-07 13:25 Maxim Koltsov
2018-01-18 19:09 Maxim Koltsov
2018-01-06 20:37 Mikle Kolyada
2018-01-06 19:59 Mikle Kolyada
2017-12-19 21:36 Andreas Sturmlechner
2017-12-19 21:36 Andreas Sturmlechner
2017-12-19 0:20 Andreas Sturmlechner
2017-12-19 0:20 Andreas Sturmlechner
2017-12-18 6:27 NP Hardass
2017-12-18 1:31 Andreas Sturmlechner
2017-09-21 15:39 Wolfram Schlich
2017-04-27 14:57 Wolfram Schlich
2016-12-08 16:43 Wolfram Schlich
2016-10-21 9:46 Wolfram Schlich
2016-07-25 5:33 NP Hardass
2016-06-29 2:57 NP Hardass
2016-04-07 19:01 Wolfram Schlich
2016-01-21 8:43 Wolfram Schlich
2016-01-21 7:31 Wolfram Schlich
2016-01-18 16:30 Wolfram Schlich
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1478107975.ac1dbe19a142cc4f1240e7760618a1981b32458b.wschlich@gentoo \
--to=wschlich@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox